## bamtools 2.3.0+dfsg

=== CMakeLists.txt ===
# ==========================
# BamTools CMakeLists.txt
# (c) 2010 Derek Barnett
#
# top-level
# ==========================

# set project name
project( BamTools )

# Cmake requirements
cmake_minimum_required( VERSION 2.6.4 )

# Force the build directory to be different from source directory
macro( ENSURE_OUT_OF_SOURCE_BUILD MSG )
    string( COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" insource )
    get_filename_component( PARENTDIR ${CMAKE_SOURCE_DIR} PATH )
    string( COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${PARENTDIR}" insourcesubdir )
    IF( insource OR insourcesubdir )
        message( FATAL_ERROR "${MSG}" )
    ENDIF( insource OR insourcesubdir )
endmacro( ENSURE_OUT_OF_SOURCE_BUILD )

ensure_out_of_source_build( "
  ${PROJECT_NAME} requires an out of source build.
  $ mkdir build 
  $ cd build
  $ cmake ..
  $ make 
(or the Windows equivalent)\n" )

# set BamTools version information
set( BamTools_VERSION_MAJOR 2 )
set( BamTools_VERSION_MINOR 3 )
set( BamTools_VERSION_BUILD 0 )

# set our library and executable destination dirs
set( EXECUTABLE_OUTPUT_PATH "${CMAKE_SOURCE_DIR}/bin" )
set( LIBRARY_OUTPUT_PATH    "${CMAKE_SOURCE_DIR}/lib" )

# define compiler flags for all code
set( CMAKE_BUILD_TYPE Release )
add_definitions( -Wall -D_FILE_OFFSET_BITS=64 )

# -----------------------------------------------
# handle platform-/environment-specific defines

# If planning to run in Node.js environment, run:
# cmake -DEnableNodeJS=true
if( EnableNodeJS )
    add_definitions( -DSYSTEM_NODEJS=1 )
endif()

# If running on SunOS
if( "${CMAKE_SYSTEM_NAME}" MATCHES "SunOS" )
    add_definitions( -DSUN_OS )
endif()

# -------------------------------------------

# add our includes root path
include_directories( src )

# list subdirectories to build in
add_subdirectory( src )

=== src/api/CMakeLists.txt ===
# ==========================
# BamTools CMakeLists.txt
# (c) 2010 Derek Barnett
#
# src/api/
# ==========================

# list include paths
include_directories( ${BamTools_SOURCE_DIR}/src )

# add compiler definitions 
add_definitions( -DBAMTOOLS_API_LIBRARY ) # (for proper exporting of library symbols)
add_definitions( -fPIC ) # (attempt to force PIC compiling on CentOS, not being set on shared libs by CMake)

# fetch all internal source files
add_subdirectory( internal )

# make list of all API source files
set( BamToolsAPISources
        BamAlignment.cpp
        BamMultiReader.cpp
        BamReader.cpp
        BamWriter.cpp
        SamHeader.cpp
        SamProgram.cpp
        SamProgramChain.cpp
        SamReadGroup.cpp
        SamReadGroupDictionary.cpp
        SamSequence.cpp
        SamSequenceDictionary.cpp
        ${InternalSources}
)

# create main BamTools API shared library
add_library( BamTools SHARED ${BamToolsAPISources} )
set_target_properties( BamTools PROPERTIES
                       SOVERSION "2.3.0"
                       OUTPUT_NAME "bamtools" )

# create main BamTools API static library
add_library( BamTools-static STATIC ${BamToolsAPISources} )
set_target_properties( BamTools-static PROPERTIES 
                       OUTPUT_NAME "bamtools" 
                       PREFIX "lib" )

# link libraries automatically with zlib (and Winsock2, if applicable)
if( WIN32 )
    set( APILibs z ws2_32 )
else()
    set( APILibs z )
endif()

target_link_libraries( BamTools        ${APILibs} )
target_link_libraries( BamTools-static ${APILibs} )

# set library install destinations
install( TARGETS BamTools        LIBRARY DESTINATION "lib/bamtools" RUNTIME DESTINATION "bin")
install( TARGETS BamTools-static ARCHIVE DESTINATION "lib/bamtools")

# export API headers
include(../ExportHeader.cmake)
set(ApiIncludeDir "api")
ExportHeader(APIHeaders api_global.h             ${ApiIncludeDir})
ExportHeader(APIHeaders BamAlgorithms.h          ${ApiIncludeDir})
ExportHeader(APIHeaders BamAlignment.h           ${ApiIncludeDir})
ExportHeader(APIHeaders BamAux.h                 ${ApiIncludeDir})
ExportHeader(APIHeaders BamConstants.h           ${ApiIncludeDir})
ExportHeader(APIHeaders BamIndex.h               ${ApiIncludeDir})
ExportHeader(APIHeaders BamMultiReader.h         ${ApiIncludeDir})
ExportHeader(APIHeaders BamReader.h              ${ApiIncludeDir})
ExportHeader(APIHeaders BamWriter.h              ${ApiIncludeDir})
ExportHeader(APIHeaders IBamIODevice.h           ${ApiIncludeDir})
ExportHeader(APIHeaders SamConstants.h           ${ApiIncludeDir})
ExportHeader(APIHeaders SamHeader.h              ${ApiIncludeDir})
ExportHeader(APIHeaders SamProgram.h             ${ApiIncludeDir})
ExportHeader(APIHeaders SamProgramChain.h        ${ApiIncludeDir})
ExportHeader(APIHeaders SamReadGroup.h           ${ApiIncludeDir})
ExportHeader(APIHeaders SamReadGroupDictionary.h ${ApiIncludeDir})
ExportHeader(APIHeaders SamSequence.h            ${ApiIncludeDir})
ExportHeader(APIHeaders SamSequenceDictionary.h  ${ApiIncludeDir})

set( AlgorithmsIncludeDir "api/algorithms" )
ExportHeader( AlgorithmsHeaders algorithms/Sort.h ${AlgorithmsIncludeDir} )

=== src/toolkit/CMakeLists.txt ===
# ==========================
# BamTools CMakeLists.txt
# (c) 2010 Derek Barnett
#
# src/toolkit
# ==========================

# set include path
include_directories( ${BamTools_SOURCE_DIR}/src/api
                     ${BamTools_SOURCE_DIR}/src/utils
                     ${BamTools_SOURCE_DIR}/src/third_party
                   )

# compile main bamtools application
add_executable( bamtools_cmd
                bamtools_convert.cpp
                bamtools_count.cpp
                bamtools_coverage.cpp
                bamtools_filter.cpp
                bamtools_header.cpp
                bamtools_index.cpp
                bamtools_merge.cpp
                bamtools_random.cpp
                bamtools_resolve.cpp
                bamtools_revert.cpp
                bamtools_sort.cpp
                bamtools_split.cpp
                bamtools_stats.cpp
                bamtools.cpp
              )

# set BamTools application properties
set_target_properties( bamtools_cmd PROPERTIES
                       VERSION  2.3.0
                       OUTPUT_NAME "bamtools"
                     )
# make version info available in application
configure_file( bamtools_version.h.in ${BamTools_SOURCE_DIR}/src/toolkit/bamtools_version.h )

# define libraries to link
target_link_libraries( bamtools_cmd BamTools BamTools-utils jsoncpp )

# set application install destinations
install( TARGETS bamtools_cmd DESTINATION "bin")

=== debian/changelog ===
bamtools (2.3.0+dfsg-2) unstable; urgency=medium

  * Drop d-shlibs patch and add versioned Build-Depends for d-shlibs
    Closes: #753210

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jun 2014 09:50:50 +0200

bamtools (2.3.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #692498)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Apr 2014 13:11:47 +0200

=== debian/debian/changelog ===
bambamc (0.0.49-1) UNRELEASED; urgency=low

  * Initial upload (Closes: #???)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Apr 2014 08:12:10 +0200

=== debian/control ===
Source: bamtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               d-shlibs (>= 0.56),
               cmake,
               libz-dev,
               libjsoncpp-dev,
               help2man
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/bamtools.git
Vcs-Git: git://anonscm.debian.org/debian-med/bamtools.git
Homepage: https://github.com/pezmaster31/bamtools/wiki

Package: bamtools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: toolkit for manipulating BAM (genome alignment) files
 BamTools facilitates research analysis and data management using BAM
 files.  It copes with the enormous amount of data produced by current
 sequencing technologies that is typically stored in compressed, binary
 formats that are not easily handled by the text-based parsers commonly
 used in bioinformatics research.
 .
 BamTools provides both a C++ API for BAM file support as well as a
 command-line toolkit.
 .
 This is the bamtools command-line toolkit
 .
 Available bamtools commands:
 convert  Converts between BAM and a number of other formats
 count    Prints number of alignments in BAM file(s)
 coverage Prints coverage statistics from the input BAM file
 filter   Filters BAM file(s) by user-specified criteria
 header   Prints BAM header information
 index    Generates index for BAM file
 merge    Merge multiple BAM files into single file
 random   Select random alignments from existing BAM file(s), intended more as
          a testing tool.
 resolve  Resolves paired-end reads (marking the IsProperPair flag as needed)
 revert   Removes duplicate marks and restores original base qualities
 sort     Sorts the BAM file according to some criteria
 split    Splits a BAM file on user-specified property, creating a new BAM
          output file for each value found
 stats    Prints some basic statistics from input BAM file(s)

Package: libbamtools-dev
Architecture: any
Section: libdevel
Depends: libbamtools2.3.0 (= ${binary:Version}),
         ${misc:Depends}
Description: C++ API for manipulating BAM (genome alignment) files 
 BamTools facilitates research analysis and data management using BAM 
 files.  It copes with the enormous amount of data produced by current
 sequencing technologies that is typically stored in compressed, binary
 formats that are not easily handled by the text-based parsers commonly
 used in bioinformatics research.
 .
 BamTools provides both a C++ API for BAM file support as well as a
 command-line toolkit.
 .
 This is the developers API package

Package: libbamtools2.3.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: dynnamic library for manipulating BAM (genome alignment) files
 BamTools facilitates research analysis and data management using BAM
 files.  It copes with the enormous amount of data produced by current
 sequencing technologies that is typically stored in compressed, binary
 formats that are not easily handled by the text-based parsers commonly
 used in bioinformatics research.
 .
 BamTools provides both a C++ API for BAM file support as well as a
 command-line toolkit.
 .
 This is the runtime library

=== debian/debian/control ===
Source: bambamc
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           German Tischler <gt1@sanger.ac.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),  autoconf (>= 2.61), automake (>= 1.10), libtool (>= 2.2.6), pkg-config (>= 0.22), zlib1g-dev (>= 1.2.3)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/bambamc.git
Vcs-Git: git://anonscm.debian.org/debian-med/bambamc.git
Homepage: https://github.com/gt1/bambamc

Package: libbambamc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for reading and writing BAM (genome alignment) files
 The BAM Format is a binary format for storing sequence data.  This is a
 lightweight C implementation of the read name collation code from the
 larger bambam C++ project to handle BAM file input and BAM file output.

Package: libbambamc-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbambamc (= ${binary:Version}), pkg-config (>= 0.22), zlib1g-dev (>= 1.2.3)
Description: Development files for reading and writing BAM (genome alignment) files
 The BAM Format is a binary format for storing sequence data.  This is a
 lightweight C implementation of the read name collation code from the
 larger bambam C++ project to handle BAM file input and BAM file output.
 .
 This package contains the static library and header files.

=== debian/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ 

override_dh_auto_configure:
	autoreconf -i -f
	dh_auto_configure

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_install:
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include/* usr/include \
		    debian/tmp/usr/lib/lib*.so
	dh_install
	# no need to install different versions of bamtools
	rm -rf debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
	mv debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)-[0-9]* debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)

#override_dh_installman:
#	LD_LIBRARY_PATH=debian/tmp/usr/lib:${LD_LIBRARY_PATH} help2man --name "a command-line toolkit for reading, writing, and manipulating BAM (genome alignment) files" --no-info --no-discard-stderr debian/tmp/usr/bin/bamtools > debian/bamtools.1

SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
SHA1=$(lastword $(subst ~g, ,$(UPSTREAM)))
ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar

describe-current-version:
	git describe --tags upstream | sed 's,^release-,,;s,-,+,;s,-,~,;'

get-orig-source:
	uscan --download-current-version --force-download --rename --repack-compression xz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://github.com/pezmaster31/bamtools/tags .*/v?(\d[\d\.]+)\.tar\.gz

## bamtools 2.4.0%2Bdfsg

=== src/api/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # create main BamTools API shared library
 add_library( BamTools SHARED ${BamToolsAPISources} )
 set_target_properties( BamTools PROPERTIES
-                       SOVERSION "2.3.0"
+                       SOVERSION "2.4.0"
                        OUTPUT_NAME "bamtools" )
 
 # create main BamTools API static library

## bamtools 2.4.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 # set BamTools version information
 set( BamTools_VERSION_MAJOR 2 )
-set( BamTools_VERSION_MINOR 3 )
+set( BamTools_VERSION_MINOR 4 )
 set( BamTools_VERSION_BUILD 0 )
 
 # set our library and executable destination dirs

=== src/CMakeLists.txt ===
# ==========================
# BamTools CMakeLists.txt
# (c) 2010 Derek Barnett
#
# src/
# ==========================

add_subdirectory( api )
add_subdirectory( third_party )
add_subdirectory( toolkit )
add_subdirectory( utils )

# export shared headers
include( ExportHeader.cmake )
set( SharedIncludeDir "shared" )
ExportHeader( SharedHeaders shared/bamtools_global.h ${SharedIncludeDir} )

=== src/toolkit/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 # set BamTools application properties
 set_target_properties( bamtools_cmd PROPERTIES
-                       VERSION  2.3.0
+                       VERSION  2.4.0
                        OUTPUT_NAME "bamtools"
                      )
 # make version info available in application

=== src/utils/CMakeLists.txt ===
# ==========================
# BamTools CMakeLists.txt
# (c) 2010 Derek Barnett
#
# src/utils/
# ==========================

# list include paths
include_directories( ${BamTools_SOURCE_DIR}/src/api )

# add compiler definitions 
add_definitions( -DBAMTOOLS_UTILS_LIBRARY ) # (for proper exporting of library symbols)
add_definitions( -fPIC ) # (attempt to force PIC compiling on CentOS, not being set on shared libs by CMake)

# create BamTools utils library
add_library( BamTools-utils STATIC
             bamtools_fasta.cpp
             bamtools_options.cpp
             bamtools_pileup_engine.cpp
             bamtools_utilities.cpp
           )

# link BamTools-utils library with BamTools automatically
target_link_libraries( BamTools-utils BamTools )

# set BamTools library properties
set_target_properties( BamTools-utils PROPERTIES
                       OUTPUT_NAME bamtools-utils
                       PREFIX "lib"
                     )

=== src/api/internal/CMakeLists.txt ===
# ==========================
# BamTools CMakeLists.txt
# (c) 2011 Derek Barnett
#
# src/api/internal
# ==========================

set( InternalDir "internal" )

add_subdirectory( bam )
add_subdirectory( index )
add_subdirectory( io )
add_subdirectory( sam )
add_subdirectory( utils )

set( InternalSources
         ${InternalBamSources}
         ${InternalIndexSources}
         ${InternalIOSources}
         ${InternalSamSources}
         ${InternalUtilsSources}

         PARENT_SCOPE # <-- leave this last
   )

=== debian/changelog ===
bamtools (2.4.0+dfsg-3build1) xenial; urgency=medium

  * No-change rebuild for the libjsoncpp transition.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 09 Feb 2016 12:21:15 +0100

bamtools (2.4.0+dfsg-3) unstable; urgency=medium

  * allow to read bam files on big endian systems (Closes: #807979)
  * added sam_spec_example.sam and sam_spec_example.bam files
  * activated cmake testing framework abd added simple tests

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 20 Dec 2015 15:41:42 -0500

bamtools (2.4.0+dfsg-2) unstable; urgency=medium

  [ Kevin Murray ]
  * Fix re-upload confusion
  * Fix build of doxygen docs, add docs-base
  * Use uscan file renaming to name upstream tarball bamtools-Vxxx.tar.gz
  * Refresh patch queue

  [ Andreas Tille]
  * Fix linitan overides for bamtools

 -- Kevin Murray <spam@kdmurray.id.au>  Thu, 24 Sep 2015 17:27:16 +1000

bamtools (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix d/watch + get-orig-source target
  * Adapt library package name to version number

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jul 2015 15:41:35 +0200

bamtools (2.3.0+dfsg-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Make Doxygen documentation generation reproducible by eliminating
    timestamps.

  [ Andreas Tille ]
  * Install cmake file
  * Fix some issues in formatting of long descriptions (thanks for the patch
    to Daniele Forsi <dforsi@gmail.com>)
    Closes: #780437
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2015 11:53:14 +0200

=== debian/control ===
Source: bamtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Andreas Tille <tille@debian.org>,
           Kevin Murray <spam@kdmurray.id.au>,
           Dominique Belhachemi <domibel@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               d-shlibs (>= 0.56),
               cmake,
               zlib1g-dev,
               libjsoncpp-dev,
               help2man,
               doxygen
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bamtools.git
Vcs-Git: git://anonscm.debian.org/debian-med/bamtools.git
Homepage: https://github.com/pezmaster31/bamtools/wiki

Package: bamtools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: toolkit for manipulating BAM (genome alignment) files
 BamTools facilitates research analysis and data management using BAM
 files.  It copes with the enormous amount of data produced by current
 sequencing technologies that is typically stored in compressed, binary
 formats that are not easily handled by the text-based parsers commonly
 used in bioinformatics research.
 .
 BamTools provides both a C++ API for BAM file support as well as a
 command-line toolkit.
 .
 This is the bamtools command-line toolkit.
 .
 Available bamtools commands:
  convert  Converts between BAM and a number of other formats
  count    Prints number of alignments in BAM file(s)
  coverage Prints coverage statistics from the input BAM file
  filter   Filters BAM file(s) by user-specified criteria
  header   Prints BAM header information
  index    Generates index for BAM file
  merge    Merge multiple BAM files into single file
  random   Select random alignments from existing BAM file(s), intended more
           as a testing tool.
  resolve  Resolves paired-end reads (marking the IsProperPair flag as needed)
  revert   Removes duplicate marks and restores original base qualities
  sort     Sorts the BAM file according to some criteria
  split    Splits a BAM file on user-specified property, creating a new BAM
           output file for each value found
  stats    Prints some basic statistics from input BAM file(s)

Package: libbamtools-dev
Architecture: any
Section: libdevel
Depends: libbamtools2.4.0 (= ${binary:Version}),
         ${misc:Depends}
Description: C++ API for manipulating BAM (genome alignment) files
 BamTools facilitates research analysis and data management using BAM
 files.  It copes with the enormous amount of data produced by current
 sequencing technologies that is typically stored in compressed, binary
 formats that are not easily handled by the text-based parsers commonly
 used in bioinformatics research.
 .
 BamTools provides both a C++ API for BAM file support as well as a
 command-line toolkit.
 .
 This is the developers API package.

Package: libbamtools2.4.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: dynamic library for manipulating BAM (genome alignment) files
 BamTools facilitates research analysis and data management using BAM
 files.  It copes with the enormous amount of data produced by current
 sequencing technologies that is typically stored in compressed, binary
 formats that are not easily handled by the text-based parsers commonly
 used in bioinformatics research.
 .
 BamTools provides both a C++ API for BAM file support as well as a
 command-line toolkit.
 .
 This is the runtime library.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 %:
 	dh $@ --parallel
+
+override_dh_auto_build:
+	dh_auto_build
+	doxygen docs/Doxyfile
 
 override_dh_install:
 	d-shlibmove --commit \
@@ -20,6 +24,9 @@
 	# no need to install different versions of bamtools
 	rm -rf debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
 	mv debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)-[0-9]* debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
+	rm -f debian/libbamtools-dev/usr/share/doc/libbamtools-dev/html/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js debian/libbamtools-dev/usr/share/doc/libbamtools-dev/html/jquery.js
+
 
 #override_dh_installman:
 #	LD_LIBRARY_PATH=debian/tmp/usr/lib:${LD_LIBRARY_PATH} help2man --name "a command-line toolkit for reading, writing, and manipulating BAM (genome alignment) files" --no-info --no-discard-stderr debian/tmp/usr/bin/bamtools > debian/bamtools.1
@@ -33,4 +40,4 @@
 	git describe --tags upstream | sed 's,^release-,,;s,-,+,;s,-,~,;'
 
 get-orig-source:
-	uscan --download-current-version --force-download --rename --repack-compression xz
+	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg.*//,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/bamtools-$1.tar.gz/" \
https://github.com/pezmaster31/bamtools/tags .*/v?(\d[\d\.]+)\.tar\.gz

## bamtools 2.4.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 # set BamTools version information
 set( BamTools_VERSION_MAJOR 2 )
 set( BamTools_VERSION_MINOR 4 )
-set( BamTools_VERSION_BUILD 0 )
+set( BamTools_VERSION_BUILD 1 )
 
 # set our library and executable destination dirs
 set( EXECUTABLE_OUTPUT_PATH "${CMAKE_SOURCE_DIR}/bin" )
@@ -40,6 +40,7 @@
 
 # define compiler flags for all code
 set( CMAKE_BUILD_TYPE Release )
+set( CMAKE_CXX_FLAGS_RELEASE "-std=c++98 ${CMAKE_CXX_FLAGS_RELEASE}" )
 add_definitions( -Wall -D_FILE_OFFSET_BITS=64 )
 
 # -----------------------------------------------

=== src/api/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # create main BamTools API shared library
 add_library( BamTools SHARED ${BamToolsAPISources} )
 set_target_properties( BamTools PROPERTIES
-                       SOVERSION "2.4.0"
+                       SOVERSION "2.4.1"
                        OUTPUT_NAME "bamtools" )
 
 # create main BamTools API static library

=== src/toolkit/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 # set BamTools application properties
 set_target_properties( bamtools_cmd PROPERTIES
-                       VERSION  2.4.0
+                       VERSION  2.4.1
                        OUTPUT_NAME "bamtools"
                      )
 # make version info available in application

=== src/api/internal/sam/CMakeLists.txt ===
# ==========================
# BamTools CMakeLists.txt
# (c) 2011 Derek Barnett
#
# src/api/internal/sam
# ==========================

set( InternalSamDir "${InternalDir}/sam" )

set( InternalSamSources
        ${InternalSamDir}/SamFormatParser_p.cpp
        ${InternalSamDir}/SamFormatPrinter_p.cpp
        ${InternalSamDir}/SamHeaderValidator_p.cpp

        PARENT_SCOPE # <-- leave this last
)

=== debian/changelog ===
bamtools (2.4.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  
  [ Nadiya Sitdykova ]
  * add autopkgtest test-suite 

  [ Afif Elghraoui ]
  * remove unused lintian overrides

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added refs to bio.tools and OMICtools
  * debian/copyright: Corrected case of upstream name
  * debian/control: Updated policy compliance to 4.0.1

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Mon, 07 Aug 2017 17:01:19 -0400

bamtools (2.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * cme fix dpkg-control
  * d/watch: version=4
  * Priority: optional
  * soversion stays at 2.4.0 (FIXME: in future versions this should
    be rather 2.5 without micro number)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2017 10:47:00 +0100

bamtools (2.4.0+dfsg-6) unstable; urgency=medium

  * Whoops, forgot the '+dfsg' in my fix for the movement of the development
    docs into their own -doc package. Thanks go to Andreas Beckmann
    <anbe@debian.org> for his patience and help. (Closes: 817188)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 10 Mar 2016 01:38:21 -0800

bamtools (2.4.0+dfsg-5) unstable; urgency=medium

  * Fix the movement of the development docs into their own -doc package
    (Closes: 817188)
  * Fix another typo in upstream

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Wed, 09 Mar 2016 00:58:33 -0800

bamtools (2.4.0+dfsg-4) unstable; urgency=medium

  * Lower priority to 'extra' due to dependency on libjsoncpp1
  * Split out -doc package for library documentation & enable standalone -arch
    and -indep building
  * Fix spelling error from upstream
  * Update Standards-Version
  * Update my email address
  * Fix Vcs-Git URL
  * Quiet some Doxygen warnings
  * Add gcc-6 compat
  * Include ${devlibs} for -dev package
  * Forwarded many patches upstream
  * Remove the html docs directory during d/rules clean

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 05 Mar 2016 09:07:48 -0800

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: bamtools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>,
            Andreas Tille <tille@debian.org>,
            Kevin Murray <spam@kdmurray.id.au>,
            Dominique Belhachemi <domibel@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 10),
                d-shlibs (>= 0.56),
                cmake,
                zlib1g-dev,
                libjsoncpp-dev,
                help2man,
                doxygen
-Standards-Version: 3.9.6
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bamtools.git
-Vcs-Git: git://anonscm.debian.org/debian-med/bamtools.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/bamtools.git
 Homepage: https://github.com/pezmaster31/bamtools/wiki
 
 Package: bamtools
@@ -55,7 +55,9 @@
 Architecture: any
 Section: libdevel
 Depends: libbamtools2.4.0 (= ${binary:Version}),
+         ${devlibs:Depends},
          ${misc:Depends}
+Suggests: libbamtools-doc (= ${binary:Version})
 Description: C++ API for manipulating BAM (genome alignment) files
  BamTools facilitates research analysis and data management using BAM
  files.  It copes with the enormous amount of data produced by current
@@ -84,3 +86,21 @@
  command-line toolkit.
  .
  This is the runtime library.
+
+Package: libbamtools-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Breaks: libbamtools-dev (<< 2.4.0+dsfg-6)
+Replaces: libbamtools-dev (<< 2.4.0+dfsg-6)
+Description: docs for dynamic library for manipulating BAM (genome alignment) files
+ BamTools facilitates research analysis and data management using BAM
+ files.  It copes with the enormous amount of data produced by current
+ sequencing technologies that is typically stored in compressed, binary
+ formats that are not easily handled by the text-based parsers commonly
+ used in bioinformatics research.
+ .
+ BamTools provides both a C++ API for BAM file support as well as a
+ command-line toolkit.
+ .
+ This is the documentation for the library.

=== debian/rules ===
--- 
+++ 
@@ -9,24 +9,31 @@
 %:
 	dh $@ --parallel
 
-override_dh_auto_build:
-	dh_auto_build
+override_dh_auto_configure-indep:
+
+override_dh_auto_test-indep:
+
+override_dh_auto_build-indep:
+	doxygen -u docs/Doxyfile
 	doxygen docs/Doxyfile
+	mv docs/Doxyfile.bak docs/Doxyfile
 
-override_dh_install:
+override_dh_install-indep:
+	dh_install --indep
+	rm -f debian/libbamtools-doc/usr/share/doc/libbamtools-dev/html/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js debian/libbamtools-doc/usr/share/doc/libbamtools-dev/html/jquery.js
+
+override_dh_install-arch:
 	d-shlibmove --commit \
 		    --multiarch \
 		    --devunversioned \
 		    --exclude-la \
 		    --movedev debian/tmp/usr/include/* usr/include \
 		    debian/tmp/usr/lib/lib*.so
-	dh_install
+	dh_install --arch
 	# no need to install different versions of bamtools
 	rm -rf debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
 	mv debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)-[0-9]* debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
-	rm -f debian/libbamtools-dev/usr/share/doc/libbamtools-dev/html/jquery.js
-	ln -s /usr/share/javascript/jquery/jquery.js debian/libbamtools-dev/usr/share/doc/libbamtools-dev/html/jquery.js
-
 
 #override_dh_installman:
 #	LD_LIBRARY_PATH=debian/tmp/usr/lib:${LD_LIBRARY_PATH} help2man --name "a command-line toolkit for reading, writing, and manipulating BAM (genome alignment) files" --no-info --no-discard-stderr debian/tmp/usr/bin/bamtools > debian/bamtools.1

## bamtools 2.5.1%2Bdfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,3 +14,7 @@
 include( ExportHeader.cmake )
 set( SharedIncludeDir "shared" )
 ExportHeader( SharedHeaders shared/bamtools_global.h ${SharedIncludeDir} )
+
+# configure and install pkg-config file
+configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/bamtools.pc.in ${CMAKE_CURRENT_BINARY_DIR}/bamtools-1.pc @ONLY )
+install( FILES ${CMAKE_CURRENT_BINARY_DIR}/bamtools-1.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig )

## bamtools 2.5.1+dfsg

=== CMakeLists.txt ===
# ==========================
# BamTools CMakeLists.txt
# (c) 2010 Derek Barnett
#
# top-level
# ==========================

# CMake requirements
cmake_minimum_required( VERSION 3.0 )

# allow setting project version in project()
# https://cmake.org/cmake/help/v3.0/policy/CMP0048.html#policy:CMP0048
cmake_policy( SET CMP0048 NEW )

# set project name and version
project( BamTools LANGUAGES CXX VERSION 2.5.1 )

# on macOS, MACOSX_RPATH is enabled by default on more recent versions
# of CMake. Disable this behaviour, and let user enable it if need be.
cmake_policy( SET CMP0042 OLD )

# Set Release type for builds where CMAKE_BUILD_TYPE is unset
# This is usually a good default as this implictly enables
#
#   CXXFLAGS = -O3 -DNDEBUG
#
if( NOT CMAKE_BUILD_TYPE )
    set( CMAKE_BUILD_TYPE "Release" )
endif()

# Adhere to GNU filesystem layout conventions
include( GNUInstallDirs )

# Force the build directory to be different from source directory
macro( ENSURE_OUT_OF_SOURCE_BUILD MSG )
    string( COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" insource )
    get_filename_component( PARENTDIR ${CMAKE_SOURCE_DIR} PATH )
    string( COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${PARENTDIR}" insourcesubdir )
    IF( insource OR insourcesubdir )
        message( FATAL_ERROR "${MSG}" )
    ENDIF( insource OR insourcesubdir )
endmacro( ENSURE_OUT_OF_SOURCE_BUILD )

ensure_out_of_source_build( "
  ${PROJECT_NAME} requires an out of source build.
  $ mkdir build
  $ cd build
  $ cmake ..
  $ make
(or the Windows equivalent)\n" )

# define compiler flags for all code, copied from Autoconf's AC_SYS_LARGEFILE
if( NOT WIN32 )
    add_definitions( -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE )
    add_compile_options( -Wall )
endif()

# -----------------------------------------------
# handle platform-/environment-specific defines

# By default build bamtools as a static library
# Most users will prefer static libraries, distributions
# can always switch the standard CMake variable over to ON.
set( BUILD_SHARED_LIBS OFF CACHE BOOL "Build all libraries as shared" )

# If planning to run in Node.js environment, run:
# cmake -DEnableNodeJS=true
if( EnableNodeJS )
    add_definitions( -DSYSTEM_NODEJS=1 )
endif()

# If running on SunOS
if( "${CMAKE_SYSTEM_NAME}" MATCHES "SunOS" )
    add_definitions( -DSUN_OS )
endif()

# find system JsonCpp
find_package( PkgConfig )
pkg_search_module( JSONCPP jsoncpp>=1 )

set( BAMTOOLS_PRIVATE_DEPS "zlib" )

if( JSONCPP_FOUND )
    message( "Found system JsonCpp, not using bundled version" )
    set( BAMTOOLS_PRIVATE_DEPS "${BAMTOOLS_PRIVATE_DEPS} jsoncpp" )
else()
    message( "Did NOT find system JsonCpp, instead using bundled version" )
    set( JSONCPP_LDFLAGS jsoncpp )
    set( JSONCPP_INCLUDE_DIRS ${BamTools_SOURCE_DIR}/src/third_party/jsoncpp )
endif()


# -------------------------------------------

# add our includes root path
include_directories( src )

# list subdirectories to build in
add_subdirectory( src )

=== src/api/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 # add compiler definitions 
 add_definitions( -DBAMTOOLS_API_LIBRARY ) # (for proper exporting of library symbols)
-add_definitions( -fPIC ) # (attempt to force PIC compiling on CentOS, not being set on shared libs by CMake)
 
 # fetch all internal source files
 add_subdirectory( internal )
@@ -31,31 +30,26 @@
         ${InternalSources}
 )
 
-# create main BamTools API shared library
-add_library( BamTools SHARED ${BamToolsAPISources} )
-set_target_properties( BamTools PROPERTIES
-                       SOVERSION "2.4.1"
-                       OUTPUT_NAME "bamtools" )
+# link libraries automatically with zlib (and Winsock2, if applicable)
+find_package( ZLIB REQUIRED )
 
-# create main BamTools API static library
-add_library( BamTools-static STATIC ${BamToolsAPISources} )
-set_target_properties( BamTools-static PROPERTIES 
-                       OUTPUT_NAME "bamtools" 
-                       PREFIX "lib" )
-
-# link libraries automatically with zlib (and Winsock2, if applicable)
 if( WIN32 )
-    set( APILibs z ws2_32 )
-else()
-    set( APILibs z )
+    set( WIN32_LIBRARIES wsock32 ws2_32 )
 endif()
 
-target_link_libraries( BamTools        ${APILibs} )
-target_link_libraries( BamTools-static ${APILibs} )
-
-# set library install destinations
-install( TARGETS BamTools        LIBRARY DESTINATION "lib/bamtools" RUNTIME DESTINATION "bin")
-install( TARGETS BamTools-static ARCHIVE DESTINATION "lib/bamtools")
+# create main BamTools API library
+add_library( BamTools ${BamToolsAPISources} )
+# The SONAME is bumped on every version increment
+# as Bamtools does not yet guarantee a stable ABI
+set_target_properties( BamTools PROPERTIES
+                       SOVERSION "${BamTools_VERSION}"
+                       OUTPUT_NAME "bamtools" )
+target_include_directories( BamTools PRIVATE "${ZLIB_INCLUDE_DIRS}" )
+target_link_libraries( BamTools PRIVATE "${ZLIB_LIBRARIES}" "${WIN32_LIBRARIES}" )
+install( TARGETS BamTools
+         ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+         LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+         RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}" )
 
 # export API headers
 include(../ExportHeader.cmake)

=== src/toolkit/CMakeLists.txt ===
--- 
+++ 
@@ -31,14 +31,17 @@
 
 # set BamTools application properties
 set_target_properties( bamtools_cmd PROPERTIES
-                       VERSION  2.4.1
                        OUTPUT_NAME "bamtools"
                      )
 # make version info available in application
-configure_file( bamtools_version.h.in ${BamTools_SOURCE_DIR}/src/toolkit/bamtools_version.h )
+configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/bamtools_version.h.in ${CMAKE_CURRENT_BINARY_DIR}/bamtools_version.h )
+include_directories( ${CMAKE_CURRENT_BINARY_DIR} )
+
+# set include paths for system JsonCpp
+target_include_directories( bamtools_cmd PRIVATE ${JSONCPP_INCLUDE_DIRS} )
 
 # define libraries to link
-target_link_libraries( bamtools_cmd BamTools BamTools-utils jsoncpp )
+target_link_libraries( bamtools_cmd BamTools BamTools-utils ${JSONCPP_LDFLAGS} )
 
 # set application install destinations
-install( TARGETS bamtools_cmd DESTINATION "bin")
+install( TARGETS bamtools_cmd DESTINATION "${CMAKE_INSTALL_BINDIR}" )

=== src/utils/CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,8 @@
 # list include paths
 include_directories( ${BamTools_SOURCE_DIR}/src/api )
 
-# add compiler definitions 
+# add compiler definitions
 add_definitions( -DBAMTOOLS_UTILS_LIBRARY ) # (for proper exporting of library symbols)
-add_definitions( -fPIC ) # (attempt to force PIC compiling on CentOS, not being set on shared libs by CMake)
 
 # create BamTools utils library
 add_library( BamTools-utils STATIC

=== src/api/internal/io/CMakeLists.txt ===
# ==========================
# BamTools CMakeLists.txt
# (c) 2011 Derek Barnett
#
# src/api/internal/io
# ==========================

set( InternalIODir "${InternalDir}/io" )

#--------------------------
# platform-independent IO
#--------------------------
set( CommonIOSources
        ${InternalIODir}/BamDeviceFactory_p.cpp
        ${InternalIODir}/BamFile_p.cpp
        ${InternalIODir}/BamFtp_p.cpp
        ${InternalIODir}/BamHttp_p.cpp
        ${InternalIODir}/BamPipe_p.cpp
        ${InternalIODir}/BgzfStream_p.cpp
        ${InternalIODir}/ByteArray_p.cpp
        ${InternalIODir}/HostAddress_p.cpp
        ${InternalIODir}/HostInfo_p.cpp
        ${InternalIODir}/HttpHeader_p.cpp
        ${InternalIODir}/ILocalIODevice_p.cpp
        ${InternalIODir}/RollingBuffer_p.cpp
        ${InternalIODir}/TcpSocket_p.cpp
        ${InternalIODir}/TcpSocketEngine_p.cpp
)

#------------------------
# platform-dependent IO
#------------------------
if( WIN32 )
    set( PlatformIOSources ${InternalIODir}/TcpSocketEngine_win_p.cpp )
else()
    set( PlatformIOSources ${InternalIODir}/TcpSocketEngine_unix_p.cpp )
endif()

#---------------------------
# make build-specific list
#---------------------------
set( InternalIOSources
        ${CommonIOSources}
        ${PlatformIOSources} 

        PARENT_SCOPE # <-- leave this last
)

=== debian/changelog ===
bamtools (2.5.1+dfsg-9) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - indent and ref to guix

  [ Andreas Tille ]
  * Extend means to prevent timeouts from amd64 also to armhf and s390x
    Closes: #987023

 -- Andreas Tille <tille@debian.org>  Thu, 15 Apr 2021 21:28:36 +0200

bamtools (2.5.1+dfsg-8) unstable; urgency=medium

  * Exclude test that times out on arm64
    Closes: #953939
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jan 2021 08:26:37 +0100

bamtools (2.5.1+dfsg-7) unstable; urgency=medium

  * Override dh_auto_install-indep
    Closes: #961777

 -- Andreas Tille <tille@debian.org>  Fri, 29 May 2020 13:00:25 +0200

bamtools (2.5.1+dfsg-6) unstable; urgency=medium

  * Add IsSupplementaryAlignment() patch from bamtools code copy shipped
    with tiddit
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Use d-shlibs
  * Build additional static lib

 -- Andreas Tille <tille@debian.org>  Wed, 27 May 2020 12:14:50 +0200

bamtools (2.5.1+dfsg-5) unstable; urgency=medium

  * Ignore one test that is known to fail on ppc64el architecture
    Closes: #933505
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Dec 2019 12:00:36 +0100

bamtools (2.5.1+dfsg-4) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Drop useless get-orig-source target
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Thu, 10 Oct 2019 12:59:38 +0200

bamtools (2.5.1+dfsg-3) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Use Breaks+Replaces: libbamtools2.4.0 (<< 2.5.1+dfsg-2~) since the
    includes were formerly in lib package
    Closes: #894886

 -- Andreas Tille <tille@debian.org>  Thu, 05 Apr 2018 11:54:57 +0200

bamtools (2.5.1+dfsg-2) unstable; urgency=medium

  * Move /usr/includes to -dev from libbamtools2.4.0
  * debian/control: add Multi-Arch hints and remove unneeded ${devlibs:Depends}
  * Build the shared library.
  * drop 0002-support-out-of-source-build patch, as this was fixed differently
    upstream
  * Match upstream's soname change

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 03 Apr 2018 04:18:02 -0700

bamtools (2.5.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * cme fix dpkg-control
  * debhelper 11

  [ Michael R. Crusoe ]
  * Make release ready with cme fix dpkg
  * fix built in tests
  * debian/rules: remove unused variables; drop custom library install; add
    hardening

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 02 Apr 2018 09:47:32 -0700

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: bamtools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>,
+Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
            Andreas Tille <tille@debian.org>,
            Kevin Murray <spam@kdmurray.id.au>,
            Dominique Belhachemi <domibel@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               d-shlibs (>= 0.56),
+Build-Depends: debhelper-compat (= 13),
+               d-shlibs,
                cmake,
                zlib1g-dev,
                libjsoncpp-dev,
                help2man,
                doxygen
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bamtools.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/bamtools.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/med-team/bamtools
+Vcs-Git: https://salsa.debian.org/med-team/bamtools.git
 Homepage: https://github.com/pezmaster31/bamtools/wiki
+Rules-Requires-Root: no
 
 Package: bamtools
 Architecture: any
@@ -53,11 +54,13 @@
 
 Package: libbamtools-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libbamtools2.4.0 (= ${binary:Version}),
-         ${devlibs:Depends},
+Depends: libbamtools2.5.1 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libbamtools-doc (= ${binary:Version})
+Breaks: libbamtools2.4.0 (<< 2.5.1+dfsg-2~)
+Replaces: libbamtools2.4.0 (<< 2.5.1+dfsg-2~)
 Description: C++ API for manipulating BAM (genome alignment) files
  BamTools facilitates research analysis and data management using BAM
  files.  It copes with the enormous amount of data produced by current
@@ -70,8 +73,9 @@
  .
  This is the developers API package.
 
-Package: libbamtools2.4.0
+Package: libbamtools2.5.1
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -89,6 +93,7 @@
 
 Package: libbamtools-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Breaks: libbamtools-dev (<< 2.4.0+dsfg-6)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_test-indep:

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd obj-* && ln -s src/toolkit/ bin
	dh_auto_test --arch
endif

override_dh_auto_build-indep:
	doxygen -u docs/Doxyfile
	doxygen docs/Doxyfile
	mv docs/Doxyfile.bak docs/Doxyfile

override_dh_auto_install-indep:

override_dh_install-arch:
	dh_install --arch
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include/* usr/include \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so

override_dh_install-indep:
	dh_install --indep
	rm -f debian/libbamtools-doc/usr/share/doc/libbamtools-dev/html/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/libbamtools-doc/usr/share/doc/libbamtools-dev/html/jquery.js

describe-current-version:
	git describe --tags upstream | sed 's,^release-,,;s,-,+,;s,-,~,;'
